/*
 * filter.h: Filter class for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_FILTER_H
#define _ATMO_FILTER_H

// --- cAtmoFilter ------------------------------------------------------------

class cAtmoFilter {
private:
  tColorPacket filter_input;  // input of the filter
  tColorPacket filter_output; // output of the filter

  void PercentFilter(bool init);
  void MeanFilter(bool init);
public:
  cAtmoFilter();
  ~cAtmoFilter();
  void ResetFilter(void);
  tColorPacket Filtering(tColorPacket ColorPacket);
};

#endif //_ATMO_FILTER_H
